##################################################
# This makefile is for the files needed to extend 
# JAT to use agents running O-Plan.

##################################################
# Wrap java and javac execution so we can set the
# CLASSPATH environment variable
#JEXEC=jexec
JEXEC=

JAVA=$(JEXEC) java
JAVAC=$(JEXEC) javac -g

##################################################
# targets:
opa: OPAgent.class

clean:
	rm *.class


##################################################
# files to be built:
OPAgent.class OPAgentContext.class OPSocketParams.class OPInterpreter.class \
		OPReader.class OPWriter.class: \
	OPAgent.java OPAgentContext.java OPSocketParams.java \
		OPInterpreter.java OPReader.java OPWriter.java
	$(JAVAC) OPAgent.java OPAgentContext.java OPSocketParams.java \
		OPInterpreter.java OPReader.java OPWriter.java

